part of 'three_gang_glass_switch_bloc.dart';

@immutable
abstract class ThreeGangGlassSwitchState {}

class ThreeGangGlassSwitchInitial extends ThreeGangGlassSwitchState {}

class ThreeGangGlassSwitchLoading extends ThreeGangGlassSwitchState {}

class ThreeGangGlassSwitchStatusLoaded extends ThreeGangGlassSwitchState {
  final ThreeGangGlassStatusModel status;

  ThreeGangGlassSwitchStatusLoaded(this.status);
}

class ThreeGangGlassSwitchError extends ThreeGangGlassSwitchState {
  final String message;

  ThreeGangGlassSwitchError(this.message);
}

class ThreeGangGlassSwitchBatchStatusLoaded extends ThreeGangGlassSwitchState {
  final ThreeGangGlassStatusModel status;

  ThreeGangGlassSwitchBatchStatusLoaded(this.status);
}

class ThreeGangGlassSwitchBatchControlError extends ThreeGangGlassSwitchState {
  final String message;

  ThreeGangGlassSwitchBatchControlError(this.message);
}
