part of 'two_gang_glass_switch_bloc.dart';

@immutable
abstract class TwoGangGlassSwitchState {}

class TwoGangGlassSwitchInitial extends TwoGangGlassSwitchState {}

class TwoGangGlassSwitchLoading extends TwoGangGlassSwitchState {}

class TwoGangGlassSwitchStatusLoaded extends TwoGangGlassSwitchState {
  final TwoGangGlassStatusModel status;

  TwoGangGlassSwitchStatusLoaded(this.status);
}

class TwoGangGlassSwitchError extends TwoGangGlassSwitchState {
  final String message;

  TwoGangGlassSwitchError(this.message);
}

class TwoGangGlassSwitchBatchStatusLoaded extends TwoGangGlassSwitchState {
  final TwoGangGlassStatusModel status;

  TwoGangGlassSwitchBatchStatusLoaded(this.status);
}

class TwoGangGlassSwitchBatchControlError extends TwoGangGlassSwitchState {
  final String message;

  TwoGangGlassSwitchBatchControlError(this.message);
}
