import 'package:syncrow_web/pages/spaces_management/all_spaces/model/community_model.dart';

class PaginationModel {
  final int pageNum;
  final bool hasNext;
  final int size;
  final List<CommunityModel> communities;

  const PaginationModel(
      {required this.pageNum,
      required this.hasNext,
      required this.size,
      required this.communities});

  const PaginationModel.emptyConstructor()
      : pageNum = 1,
        hasNext = true,
        size = 10,
        communities = const [];
}
