import 'package:flutter/material.dart';

abstract class LinkSpaceToModelEvent {}

class LinkSpaceModelSelectedEvent extends LinkSpaceToModelEvent {
  final int selectedIndex;

  LinkSpaceModelSelectedEvent(this.selectedIndex);
}

class LinkSpaceModelSelectedIdsEvent extends LinkSpaceToModelEvent {}

class LinkSpaceModelEvent extends LinkSpaceToModelEvent {
  final String? selectedSpaceMode;
  final bool isOverWrite;
  LinkSpaceModelEvent({this.selectedSpaceMode, this.isOverWrite = false});
}

class ValidateSpaceModelEvent extends LinkSpaceToModelEvent {
  BuildContext? context;
  ValidateSpaceModelEvent({this.context});
}
