import 'package:flutter/services.dart';

class AssetValidator {
  static Future<bool> isValidAsset(String? assetPath) async {
    if (assetPath == null || assetPath.isEmpty) {
      return false;
    }
    try {
      await rootBundle.load(assetPath);
      return true;
    } catch (_) {
      return false;
    }
  }
}
