class VerifyPassCode {
  static const String verificationPhone = 'phone';
  static const String verificationPassCode = 'passCode';
  static const String verificationAgent = 'agent';
  static const String verificationDeviceId = 'deviceId';

  final String phone;
  final String passCode;
  final String agent;
  final String deviceId;

  VerifyPassCode(
      {required this.phone,
      required this.passCode,
      required this.agent,
      required this.deviceId});

  factory VerifyPassCode.fromJson(Map<String, dynamic> json) => VerifyPassCode(
      phone: json[verificationPhone],
      passCode: json[verificationPassCode],
      agent: json[verificationAgent],
      deviceId: json[verificationDeviceId]);

  Map<String, dynamic> toJson() => {
        verificationPhone: phone,
        verificationPassCode: passCode,
        verificationAgent: agent,
        verificationDeviceId: deviceId,
      };
}
