part of 'functions_bloc_bloc.dart';

class FunctionBlocState extends Equatable {
  final List<DeviceFunctionData> addedFunctions;
  final String? selectedFunction;
  final String? selectedOperationName;
  const FunctionBlocState({
    this.addedFunctions = const [],
    this.selectedFunction,
    this.selectedOperationName,
  });

  FunctionBlocState copyWith({
    List<DeviceFunctionData>? addedFunctions,
    String? selectedFunction,
    String? selectedOperationName,
  }) {
    return FunctionBlocState(
      addedFunctions: addedFunctions ?? this.addedFunctions,
      selectedFunction: selectedFunction ?? this.selectedFunction,
      selectedOperationName:
          selectedOperationName ?? this.selectedOperationName,
    );
  }

  @override
  List<Object?> get props =>
      [addedFunctions, selectedFunction, selectedOperationName];
}
