import 'package:equatable/equatable.dart';

abstract class CommunityDialogState extends Equatable {
  @override
  List<Object?> get props => [];
}

class CommunityDialogInitial extends CommunityDialogState {}

class CommunityNameValidationState extends CommunityDialogState {
  final bool isNameValid;
  final bool isNameEmpty;

  CommunityNameValidationState({
    required this.isNameValid,
    required this.isNameEmpty,
  });

  @override
  List<Object?> get props => [isNameValid, isNameEmpty];
}
